Agara

List an order's fills

GET/trade/v1/orders/{order_id}/trades

Authorization

personal_access_token orders:read
AuthorizationBearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: orders:read

Path Parameters

order_id*string

Internal order UUID returned by POST /trade/v1/orders.

Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/trade/v1/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/trades"
{  "as_of": "2019-08-24T14:15:22Z",  "trades": [    {      "exchange": "AGARA",      "executed_at": "2019-08-24T14:15:22Z",      "fee_micro": "string",      "fill_id": "string",      "order_id": "string",      "price_micro": "string",      "role": "MAKER",      "shares_micro": "string",      "side": "BUY",      "status": "string",      "token_id": "string",      "trade_id": "string",      "transaction_hash": "string"    }  ]}